Index: /trunk/admin/include/functions_notification_by_mail.inc.php
===================================================================
--- /trunk/admin/include/functions_notification_by_mail.inc.php	(revision 25017)
+++ /trunk/admin/include/functions_notification_by_mail.inc.php	(revision 25018)
@@ -170,5 +170,5 @@
       while ($nbm_user = pwg_db_fetch_assoc($result))
       {
-        array_push($data_users, $nbm_user);
+        $data_users[] = $nbm_user;
       }
     }
@@ -286,5 +286,5 @@
 
   $env_nbm['sent_mail_count'] += 1;
-  array_push($page['infos'], sprintf($env_nbm['msg_info'], stripslashes($nbm_user['username']), $nbm_user['mail_address']));
+  $page['infos'][] = sprintf($env_nbm['msg_info'], stripslashes($nbm_user['username']), $nbm_user['mail_address']);
 }
 
@@ -299,5 +299,5 @@
 
   $env_nbm['error_on_mail_count'] += 1;
-  array_push($page['errors'], sprintf($env_nbm['msg_error'], stripslashes($nbm_user['username']), $nbm_user['mail_address']));
+  $page['errors'][] = sprintf($env_nbm['msg_error'], stripslashes($nbm_user['username']), $nbm_user['mail_address']);
 }
 
@@ -313,14 +313,30 @@
   if ($env_nbm['error_on_mail_count'] != 0)
   {
-    array_push($page['errors'], l10n_dec('%d mail was not sent.', '%d mails were not sent.', $env_nbm['error_on_mail_count']));
+    $page['errors'][] = l10n_dec(
+      '%d mail was not sent.', '%d mails were not sent.',
+      $env_nbm['error_on_mail_count']
+      );
+      
     if ($env_nbm['sent_mail_count'] != 0)
-      array_push($page['infos'], l10n_dec('%d mail was sent.', '%d mails were sent.', $env_nbm['sent_mail_count']));
+    {
+      $page['infos'][] = l10n_dec(
+        '%d mail was sent.', '%d mails were sent.',
+        $env_nbm['sent_mail_count']
+        );
+    }
   }
   else
   {
     if ($env_nbm['sent_mail_count'] == 0)
-      array_push($page['infos'], l10n('No mail to send.'));
+    {
+      $page['infos'][] = l10n('No mail to send.');
+    }
     else
-      array_push($page['infos'], l10n_dec('%d mail was sent.', '%d mails were sent.', $env_nbm['sent_mail_count']));
+    {
+      $page['infos'][] = l10n_dec(
+        '%d mail was sent.', '%d mails were sent.',
+        $env_nbm['sent_mail_count']
+        );
+    }
   }
 }
@@ -395,10 +411,10 @@
       {
         // Stop fill list on 'send', if the quota is override
-        array_push($page['errors'], $msg_break_timeout);
+        $page['errors'][] = $msg_break_timeout;
         break;
       }
 
       // Fill return list
-      array_push($check_key_treated, $nbm_user['check_key']);
+      $check_key_treated[] = $nbm_user['check_key'];
 
       $do_update = true;
@@ -454,20 +470,15 @@
       if ($do_update)
       {
-        array_push
-        (
-          $updates,
-          array
-          (
-            'check_key' => $nbm_user['check_key'],
-            'enabled' => $enabled_value
-          )
-        );
+        $updates[] = array(
+          'check_key' => $nbm_user['check_key'],
+          'enabled' => $enabled_value
+          );
         $updated_data_count += 1;
-        array_push($page['infos'], sprintf($msg_info, stripslashes($nbm_user['username']), $nbm_user['mail_address']));
+        $page['infos'][] = sprintf($msg_info, stripslashes($nbm_user['username']), $nbm_user['mail_address']);
       }
       else
       {
         $error_on_updated_data_count += 1;
-        array_push($page['errors'], sprintf($msg_error, stripslashes($nbm_user['username']), $nbm_user['mail_address']));
+        $page['errors'][] = sprintf($msg_error, stripslashes($nbm_user['username']), $nbm_user['mail_address']);
       }
 
@@ -490,11 +501,15 @@
   }
 
-  array_push($page['infos'], l10n_dec('%d user was updated.', '%d users were updated.', $updated_data_count));
+  $page['infos'][] = l10n_dec(
+    '%d user was updated.', '%d users were updated.',
+    $updated_data_count
+    );
+  
   if ($error_on_updated_data_count != 0)
   {
-    array_push($page['errors'],
-      l10n_dec('%d user was not updated.',
-               '%d users were not updated.',
-               $error_on_updated_data_count));
+    $page['errors'][] = l10n_dec(
+      '%d user was not updated.', '%d users were not updated.',
+      $error_on_updated_data_count
+      );
   }
 
Index: /trunk/admin/include/functions_plugins.inc.php
===================================================================
--- /trunk/admin/include/functions_plugins.inc.php	(revision 25017)
+++ /trunk/admin/include/functions_plugins.inc.php	(revision 25018)
@@ -40,5 +40,5 @@
   else if (isset($page['errors']))
   {
-    array_push($page['errors'], 'PLUGIN ERROR: "'.$file.'" is not a valid file');
+    $page['errors'][] = 'PLUGIN ERROR: "'.$file.'" is not a valid file';
   }
   return $url;
Index: /trunk/admin/include/functions_upgrade.php
===================================================================
--- /trunk/admin/include/functions_upgrade.php	(revision 25017)
+++ /trunk/admin/include/functions_upgrade.php	(revision 25018)
@@ -94,5 +94,5 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($plugins, $row['id']);
+    $plugins[] = $row['id'];
   }
 
@@ -106,6 +106,6 @@
     pwg_query($query);
 
-    array_push($page['infos'],
-      l10n('As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:').'<p><i>'.implode(', ', $plugins).'</i></p>');
+    $page['infos'][] = l10n('As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:')
+                        .'<p><i>'.implode(', ', $plugins).'</i></p>';
   }
 }
@@ -136,6 +136,6 @@
   while ($row = pwg_db_fetch_assoc($result))
   {
-    array_push($theme_ids, $row['id']);
-    array_push($theme_names, $row['name']);
+    $theme_ids[] = $row['id'];
+    $theme_names[] = $row['name'];
   }
 
@@ -149,6 +149,6 @@
     pwg_query($query);
 
-    array_push($page['infos'],
-      l10n('As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:').'<p><i>'.implode(', ', $theme_names).'</i></p>');
+    $page['infos'][] = l10n('As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:')
+                        .'<p><i>'.implode(', ', $theme_names).'</i></p>';
 
     // what is the default theme?
@@ -250,9 +250,9 @@
   if (!$conf['password_verify']($password, $row['password']))
   {
-    array_push($page['errors'], l10n('Invalid password!'));
+    $page['errors'][] = l10n('Invalid password!');
   }
   elseif ($row['status'] != 'admin' and $row['status'] != 'webmaster')
   {
-    array_push($page['errors'], l10n('You do not have access rights to run upgrade'));
+    $page['errors'][] = l10n('You do not have access rights to run upgrade');
   }
   else
@@ -280,5 +280,5 @@
           and preg_match('/^(.*?)-database\.php$/', $node, $match))
       {
-        array_push($available_upgrade_ids, $match[1]);
+        $available_upgrade_ids[] = $match[1];
       }
     }
Index: /trunk/admin/include/functions_upload.inc.php
===================================================================
--- /trunk/admin/include/functions_upload.inc.php	(revision 25017)
+++ /trunk/admin/include/functions_upload.inc.php	(revision 25018)
@@ -123,11 +123,7 @@
       else
       {
-        array_push(
-          $errors,
-          sprintf(
-            $upload_form_config[$field]['error_message'],
-            $min,
-            $max
-            )
+        $errors[] = sprintf(
+          $upload_form_config[$field]['error_message'],
+          $min, $max
           );
         
@@ -495,14 +491,5 @@
 function add_upload_error($upload_id, $error_message)
 {
-  if (!isset($_SESSION['uploads_error']))
-  {
-    $_SESSION['uploads_error'] = array();
-  }
-  if (!isset($_SESSION['uploads_error'][$upload_id]))
-  {
-    $_SESSION['uploads_error'][$upload_id] = array();
-  }
-
-  array_push($_SESSION['uploads_error'][$upload_id], $error_message);
+  $_SESSION['uploads_error'][$upload_id][] = $error_message;
 }
 
Index: /trunk/admin/include/languages.class.php
===================================================================
--- /trunk/admin/include/languages.class.php	(revision 25017)
+++ /trunk/admin/include/languages.class.php	(revision 25018)
@@ -58,5 +58,5 @@
         if (isset($crt_db_language))
         {
-          array_push($errors, 'CANNOT ACTIVATE - LANGUAGE IS ALREADY ACTIVATED');
+          $errors[] = 'CANNOT ACTIVATE - LANGUAGE IS ALREADY ACTIVATED';
           break;
         }
@@ -75,5 +75,5 @@
         if (!isset($crt_db_language))
         {
-          array_push($errors, 'CANNOT DEACTIVATE - LANGUAGE IS ALREADY DEACTIVATED');
+          $errors[] = 'CANNOT DEACTIVATE - LANGUAGE IS ALREADY DEACTIVATED';
           break;
         }
@@ -81,5 +81,5 @@
         if ($language_id == get_default_language())
         {
-          array_push($errors, 'CANNOT DEACTIVATE - LANGUAGE IS DEFAULT LANGUAGE');
+          $errors[] = 'CANNOT DEACTIVATE - LANGUAGE IS DEFAULT LANGUAGE';
           break;
         }
@@ -96,10 +96,10 @@
         if (!empty($crt_db_language))
         {
-          array_push($errors, 'CANNOT DELETE - LANGUAGE IS ACTIVATED');
+          $errors[] = 'CANNOT DELETE - LANGUAGE IS ACTIVATED';
           break;
         }
         if (!isset($this->fs_languages[$language_id]))
         {
-          array_push($errors, 'CANNOT DELETE - LANGUAGE DOES NOT EXIST');
+          $errors[] = 'CANNOT DELETE - LANGUAGE DOES NOT EXIST';
           break;
         }
@@ -369,5 +369,5 @@
                   and !empty($old_files))
                 {
-                  array_push($old_files, 'obsolete.list');
+                  $old_files[] = 'obsolete.list';
                   foreach($old_files as $old_file)
                   {
Index: /trunk/admin/include/photos_add_direct_prepare.inc.php
===================================================================
--- /trunk/admin/include/photos_add_direct_prepare.inc.php	(revision 25017)
+++ /trunk/admin/include/photos_add_direct_prepare.inc.php	(revision 25018)
@@ -210,10 +210,10 @@
 if (!empty($error_message))
 {
-  array_push($setup_errors, $error_message);
+  $setup_errors[] = $error_message;
 }
 
 if (!function_exists('gd_info'))
 {
-  array_push($setup_errors, l10n('GD library is missing'));
+  $setup_errors[] = l10n('GD library is missing');
 }
 
@@ -236,19 +236,13 @@
   if ($conf['use_exif'] and !function_exists('read_exif_data'))
   {
-    array_push(
-      $setup_warnings,
-      l10n('Exif extension not available, admin should disable exif use')
-      );
+    $setup_warnings[] = l10n('Exif extension not available, admin should disable exif use');
   }
 
   if (get_ini_size('upload_max_filesize') > get_ini_size('post_max_size'))
   {
-    array_push(
-      $setup_warnings,
-      sprintf(
-        l10n('In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'),
-        get_ini_size('upload_max_filesize', false),
-        get_ini_size('post_max_size', false)
-        )
+    $setup_warnings[] = l10n(
+      'In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting',
+      get_ini_size('upload_max_filesize', false),
+      get_ini_size('post_max_size', false)
       );
   }
Index: /trunk/admin/include/photos_add_direct_process.inc.php
===================================================================
--- /trunk/admin/include/photos_add_direct_process.inc.php	(revision 25017)
+++ /trunk/admin/include/photos_add_direct_process.inc.php	(revision 25018)
@@ -35,10 +35,7 @@
   if (!isset($_POST['submit_upload']))
   {
-    array_push(
-      $page['errors'],
-      sprintf(
-        l10n('The uploaded files exceed the post_max_size directive in php.ini: %sB'),
-        ini_get('post_max_size')
-        )
+    $page['errors'][] = l10n(
+      'The uploaded files exceed the post_max_size directive in php.ini: %sB',
+      ini_get('post_max_size')
       );
   }
@@ -52,5 +49,5 @@
     foreach ($_POST['onUploadError'] as $error)
     {
-      array_push($page['errors'], $error);
+      $page['errors'][] = $error;
     }
   }
@@ -98,12 +95,9 @@
             if (is_valid_image_extension(pathinfo($node['filename'], PATHINFO_EXTENSION)))
             {
-              array_push($indexes_to_extract, $node['index']);
+              $indexes_to_extract[] = $node['index'];
               
-              array_push(
-                $images_to_add,
-                array(
-                  'source_filepath' => $upload_dir.'/'.$temporary_archive_name.'/'.$node['filename'],
-                  'original_filename' => basename($node['filename']),
-                  )
+              $images_to_add[] = array(
+                'source_filepath' => $upload_dir.'/'.$temporary_archive_name.'/'.$node['filename'],
+                'original_filename' => basename($node['filename']),
                 );
             }
@@ -122,10 +116,7 @@
       elseif (is_valid_image_extension($extension))
       {
-        array_push(
-          $images_to_add,
-          array(
-            'source_filepath' => $_FILES['image_upload']['tmp_name'][$idx],
-            'original_filename' => $_FILES['image_upload']['name'][$idx],
-            )
+        $images_to_add[] = array(
+          'source_filepath' => $_FILES['image_upload']['tmp_name'][$idx],
+          'original_filename' => $_FILES['image_upload']['name'][$idx],
           );
       }
@@ -140,5 +131,5 @@
           );
 
-        array_push($image_ids, $image_id);
+        $image_ids[] = $image_id;
 
         // TODO: if $image_id is not an integer, something went wrong
@@ -149,11 +140,8 @@
       $error_message = file_upload_error_message($error);
       
-      array_push(
-        $page['errors'],
-        sprintf(
-          l10n('Error on file "%s" : %s'),
-          $_FILES['image_upload']['name'][$idx],
-          $error_message
-          )
+      $page['errors'][] = l10n(
+        'Error on file "%s" : %s',
+        $_FILES['image_upload']['name'][$idx],
+        $error_message
         );
     }
@@ -173,5 +161,5 @@
       foreach ($_SESSION['uploads_error'][ $_POST['upload_id'] ] as $error)
       {
-        array_push($page['errors'], $error);
+        $page['errors'][] = $error;
       }
     }
@@ -217,27 +205,16 @@
     $thumbnail['link'] = get_root_url().'admin.php?page=photo-'.$image_id.'&amp;cat_id='.$category_id;
 
-    array_push($page['thumbnails'], $thumbnail);
+    $page['thumbnails'][] = $thumbnail;
   }
   
   if (!empty($page['thumbnails']))
   {
-    array_push(
-      $page['infos'],
-      sprintf(
-        l10n('%d photos uploaded'),
-        count($page['thumbnails'])
-        )
-      );
+    $page['infos'][] = l10n('%d photos uploaded', count($page['thumbnails']));
     
     if (0 != $_POST['level'])
     {
-      array_push(
-        $page['infos'],
-        sprintf(
-          l10n('Privacy level set to "%s"'),
-          l10n(
-            sprintf('Level %d', $_POST['level'])
-            )
-          )
+      $page['infos'][] = l10n(
+        'Privacy level set to "%s"',
+        l10n(sprintf('Level %d', $_POST['level']))
         );
     }
@@ -253,11 +230,8 @@
     
     // information
-    array_push(
-      $page['infos'],
-      sprintf(
-        l10n('Album "%s" now contains %d photos'),
-        '<em>'.$category_name.'</em>',
-        $count
-        )
+    $page['infos'][] = l10n(
+      'Album "%s" now contains %d photos',
+      '<em>'.$category_name.'</em>',
+      $count
       );
     
Index: /trunk/admin/include/plugins.class.php
===================================================================
--- /trunk/admin/include/plugins.class.php	(revision 25017)
+++ /trunk/admin/include/plugins.class.php	(revision 25018)
@@ -400,5 +400,5 @@
           $server_plugins[$plugin['extension_id']] = array();
         }
-        array_push($server_plugins[$plugin['extension_id']], $plugin['revision_name']);
+        $server_plugins[$plugin['extension_id']][] = $plugin['revision_name'];
       }
 
@@ -504,5 +504,5 @@
                 and !empty($old_files))
               {
-                array_push($old_files, 'obsolete.list');
+                $old_files[] = 'obsolete.list';
                 foreach($old_files as $old_file)
                 {
Index: /trunk/admin/include/themes.class.php
===================================================================
--- /trunk/admin/include/themes.class.php	(revision 25017)
+++ /trunk/admin/include/themes.class.php	(revision 25018)
@@ -78,10 +78,7 @@
         if (isset($missing_parent))
         {
-          array_push(
-            $errors,
-            sprintf(
-              l10n('Impossible to activate this theme, the parent theme is missing: %s'),
-              $missing_parent
-              )
+          $errors[] = l10n(
+            'Impossible to activate this theme, the parent theme is missing: %s',
+            $missing_parent
             );
 
@@ -94,5 +91,5 @@
             and $conf['mobile_theme'] != $theme_id)
         {
-          array_push($errors, l10n('You can activate only one mobile theme.'));
+          $errors[] = l10n('You can activate only one mobile theme.');
           break;
         }
@@ -135,8 +132,5 @@
         if (count($this->db_themes_by_id) <= 1)
         {
-          array_push(
-            $errors,
-            l10n('Impossible to deactivate this theme, you need at least one theme.')
-            );
+          $errors[] = l10n('Impossible to deactivate this theme, you need at least one theme.');
           break;
         }
@@ -191,5 +185,5 @@
         if (!empty($crt_db_theme))
         {
-          array_push($errors, 'CANNOT DELETE - THEME IS INSTALLED');
+          $errors[] = 'CANNOT DELETE - THEME IS INSTALLED';
           break;
         }
@@ -203,10 +197,7 @@
         if (count($children) > 0)
         {
-          array_push(
-            $errors,
-            sprintf(
-              l10n('Impossible to delete this theme. Other themes depends on it: %s'),
-              implode(', ', $children)
-              )
+          $errors[] = l10n(
+            'Impossible to delete this theme. Other themes depends on it: %s',
+            implode(', ', $children)
             );
           break;
@@ -263,5 +254,5 @@
       if (isset($test_child['parent']) and $test_child['parent'] == $theme_id)
       {
-        array_push($children, $test_child['name']);
+        $children[] = $test_child['name'];
       }
     }
@@ -323,5 +314,5 @@
     while ($row = pwg_db_fetch_assoc($result))
     {
-      array_push($themes, $row);
+      $themes[] = $row;
     }
     return $themes;
@@ -629,5 +620,5 @@
                 and !empty($old_files))
               {
-                array_push($old_files, 'obsolete.list');
+                $old_files[] = 'obsolete.list';
                 foreach($old_files as $old_file)
                 {
Index: /trunk/admin/include/updates.class.php
===================================================================
--- /trunk/admin/include/updates.class.php	(revision 25017)
+++ /trunk/admin/include/updates.class.php	(revision 25018)
@@ -162,5 +162,5 @@
             if (in_array($ext_id, $conf['updates_ignored'][$type]))
             {
-              array_push($ignore_list, $ext_id);
+              $ignore_list[] = $ext_id;
             }
             else
@@ -249,5 +249,5 @@
       and !empty($old_files))
     {
-      array_push($old_files, $file);
+      $old_files[] = $file;
       foreach($old_files as $old_file)
       {
@@ -315,5 +315,5 @@
     else
     {
-      array_push($page['errors'], l10n('Unable to dump database.'));
+      $page['errors'][] = l10n('Unable to dump database.');
     }
   }
@@ -415,5 +415,6 @@
             if ($step == 2)
             {
-              array_push($page['infos'], l10n('Update Complete'), $upgrade_to);
+              $page['infos'][] = l10n('Update Complete');
+              $page['infos'][] = $upgrade_to;
               $step = -1;
             }
@@ -426,11 +427,9 @@
           {
             file_put_contents(PHPWG_ROOT_PATH.$conf['data_location'].'update/log_error.txt', $error);
-            array_push(
-              $page['errors'],
-              sprintf(
-                l10n('An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'),
-                get_root_url().$conf['data_location'].'update/log_error.txt'
-              )
-            );
+            
+            $page['errors'][] = l10n(
+              'An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.',
+              get_root_url().$conf['data_location'].'update/log_error.txt'
+              );
           }
         }
@@ -438,10 +437,10 @@
         {
           deltree(PHPWG_ROOT_PATH.$conf['data_location'].'update');
-          array_push($page['errors'], l10n('An error has occured during upgrade.'));
+          $page['errors'][] = l10n('An error has occured during upgrade.');
         }
       }
       else
       {
-        array_push($page['errors'], l10n('Piwigo cannot retrieve upgrade file from server'));
+        $page['errors'][] = l10n('Piwigo cannot retrieve upgrade file from server');
       }
     }
Index: /trunk/admin/include/uploadify/uploadify.php
===================================================================
--- /trunk/admin/include/uploadify/uploadify.php	(revision 25017)
+++ /trunk/admin/include/uploadify/uploadify.php	(revision 25018)
@@ -48,18 +48,5 @@
   );
 
-if (!isset($_SESSION['uploads']))
-{
-  $_SESSION['uploads'] = array();
-}
-
-if (!isset($_SESSION['uploads'][ $_POST['upload_id'] ]))
-{
-  $_SESSION['uploads'][ $_POST['upload_id'] ] = array();
-}
-
-array_push(
-  $_SESSION['uploads'][ $_POST['upload_id'] ],
-  $image_id
-  );
+$_SESSION['uploads'][ $_POST['upload_id'] ][] = $image_id;
 
 $query = '
Index: /trunk/admin/intro.php
===================================================================
--- /trunk/admin/intro.php	(revision 25017)
+++ /trunk/admin/intro.php	(revision 25018)
@@ -46,5 +46,5 @@
   if (!fetchRemote(PHPWG_URL.'/download/latest_version', $result))
   {
-    array_push($page['errors'], l10n('Unable to check for upgrade.'));
+    $page['errors'][] = l10n('Unable to check for upgrade.');
   }
   else
@@ -74,8 +74,5 @@
     if ('' == $versions['latest'])
     {
-      array_push(
-        $page['errors'],
-        l10n('Check for upgrade failed for unknown reasons.')
-        );
+      $page['errors'][] = l10n('Check for upgrade failed for unknown reasons.');
     }
     // concatenation needed to avoid automatic transformation by release
@@ -83,22 +80,13 @@
     else if ('%'.'PWGVERSION'.'%' == $versions['current'])
     {
-      array_push(
-        $page['infos'],
-        l10n('You are running on development sources, no check possible.')
-        );
+      $page['infos'][] = l10n('You are running on development sources, no check possible.');
     }
     else if (version_compare($versions['current'], $versions['latest']) < 0)
     {
-      array_push(
-        $page['infos'],
-        l10n('A new version of Piwigo is available.')
-        );
+      $page['infos'][] = l10n('A new version of Piwigo is available.');
     }
     else
     {
-      array_push(
-        $page['infos'],
-        l10n('You are running the latest version of Piwigo.')
-        );
+      $page['infos'][] = l10n('You are running the latest version of Piwigo.');
     }
   }
@@ -202,10 +190,7 @@
     'DB_ELEMENTS' => l10n_dec('%d photo', '%d photos', $nb_elements),
     'DB_CATEGORIES' =>
-      l10n_dec('%d album including', '%d albums including',
-        $nb_categories).
-      l10n_dec('%d physical', '%d physicals',
-        $nb_physical).
-      l10n_dec(' and %d virtual', ' and %d virtuals',
-        $nb_virtual),
+      l10n_dec('%d album including', '%d albums including', $nb_categories).
+      l10n_dec('%d physical', '%d physicals', $nb_physical).
+      l10n_dec(' and %d virtual', ' and %d virtuals', $nb_virtual),
     'DB_IMAGE_CATEGORY' => l10n_dec('%d association', '%d associations', $nb_image_category),
     'DB_TAGS' => l10n_dec('%d tag', '%d tags', $nb_tags),
Index: /trunk/admin/languages_installed.php
===================================================================
--- /trunk/admin/languages_installed.php	(revision 25017)
+++ /trunk/admin/languages_installed.php	(revision 25018)
@@ -88,5 +88,5 @@
   {
     $language['is_default'] = false;
-    array_push($tpl_languages, $language);
+    $tpl_languages[] = $language;
   }
 }
Index: /trunk/admin/languages_new.php
===================================================================
--- /trunk/admin/languages_new.php	(revision 25017)
+++ /trunk/admin/languages_new.php	(revision 25018)
@@ -54,5 +54,5 @@
   if (!is_webmaster())
   {
-    array_push($page['errors'], l10n('Webmaster status is required.'));
+    $page['errors'][] = l10n('Webmaster status is required.');
   }
   else
@@ -74,26 +74,21 @@
   {
     case 'ok':
-      array_push($page['infos'],
-        l10n('Language has been successfully installed')
-      );
+      $page['infos'][] = l10n('Language has been successfully installed');
       break;
 
     case 'temp_path_error':
-      array_push($page['errors'], l10n('Can\'t create temporary file.'));
+      $page['errors'][] = l10n('Can\'t create temporary file.');
       break;
 
     case 'dl_archive_error':
-      array_push($page['errors'], l10n('Can\'t download archive.'));
+      $page['errors'][] = l10n('Can\'t download archive.');
       break;
 
     case 'archive_error':
-      array_push($page['errors'], l10n('Can\'t read or extract archive.'));
+      $page['errors'][] = l10n('Can\'t read or extract archive.');
       break;
 
     default:
-      array_push(
-        $page['errors'],
-        l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus']))
-      );
+      $page['errors'][] = l10n('An error occured during extraction (%s).', htmlspecialchars($_GET['installstatus']));
   }  
 }
@@ -127,5 +122,5 @@
 else
 {
-  array_push($page['errors'], l10n('Can\'t connect to server.'));
+  $page['errors'][] = l10n('Can\'t connect to server.');
 }
 
Index: /trunk/admin/menubar.php
===================================================================
--- /trunk/admin/menubar.php	(revision 25017)
+++ /trunk/admin/menubar.php	(revision 25018)
@@ -149,5 +149,5 @@
   pwg_query($query);
 
-  array_push($page['infos'], l10n('Order of menubar items has been updated successfully.'));
+  $page['infos'][] = l10n('Order of menubar items has been updated successfully.');
 }
 
Index: /trunk/admin/notification_by_mail.php
===================================================================
--- /trunk/admin/notification_by_mail.php	(revision 25017)
+++ /trunk/admin/notification_by_mail.php	(revision 25018)
@@ -81,8 +81,9 @@
 
       $must_repost = true;
-      array_push($page['errors'],
-        l10n_dec('Execution time is out, treatment must be continue [Estimated time: %d second].',
-                 'Execution time is out, treatment must be continue [Estimated time: %d seconds].',
-                  $time_refresh));
+      $page['errors'][] = l10n_dec(
+        'Execution time is out, treatment must be continue [Estimated time: %d second].',
+        'Execution time is out, treatment must be continue [Estimated time: %d seconds].',
+        $time_refresh
+        );
     }
   }
@@ -157,27 +158,18 @@
 
       // Save key
-      array_push($check_key_list, $nbm_user['check_key']);
+      $check_key_list[] = $nbm_user['check_key'];
 
       // Insert new nbm_users
-      array_push
-      (
-        $inserts,
-        array
-        (
-          'user_id' => $nbm_user['user_id'],
-          'check_key' => $nbm_user['check_key'],
-          'enabled' => 'false' // By default if false, set to true with specific functions
-        )
-      );
-
-      array_push
-      (
-        $page['infos'],
-        l10n(
-          'User %s [%s] added.',
-          stripslashes($nbm_user['username']),
-          get_email_address_as_display_text($nbm_user['mail_address'])
-        )
-      );
+      $inserts[] = array(
+        'user_id' => $nbm_user['user_id'],
+        'check_key' => $nbm_user['check_key'],
+        'enabled' => 'false' // By default if false, set to true with specific functions
+        );
+
+      $page['infos'][] = l10n(
+        'User %s [%s] added.',
+        stripslashes($nbm_user['username']),
+        get_email_address_as_display_text($nbm_user['mail_address'])
+        );
     }
 
@@ -283,5 +275,5 @@
           {
             // Stop fill list on 'list_to_send', if the quota is override
-            array_push($page['infos'], $msg_break_timeout);
+            $page['infos'][] = $msg_break_timeout;
             break;
           }
@@ -289,5 +281,5 @@
           {
             // Stop fill list on 'send', if the quota is override
-            array_push($page['errors'], $msg_break_timeout);
+            $page['errors'][] = $msg_break_timeout;
             break;
           }
@@ -300,5 +292,5 @@
             set_make_full_url();
             // Fill return list of "treated" check_key for 'send'
-            array_push($return_list, $nbm_user['check_key']);
+            $return_list[] = $nbm_user['check_key'];
 
             if ($conf['nbm_send_detailed_content'])
@@ -403,7 +395,8 @@
                 inc_mail_sent_success($nbm_user);
 
-                $data = array('user_id' => $nbm_user['user_id'],
-                              'last_send' => $dbnow);
-                array_push($datas, $data);
+                $datas[] = array(
+                  'user_id' => $nbm_user['user_id'],
+                  'last_send' => $dbnow
+                  );
               }
               else
@@ -420,5 +413,5 @@
             {
               // Fill return list of "selected" users for 'list_to_send'
-              array_push($return_list, $nbm_user);
+              $return_list[] = $nbm_user;
             }
           }
@@ -449,5 +442,5 @@
         if ($is_action_send)
         {
-          array_push($page['errors'], l10n('No user to send notifications by mail.'));
+          $page['errors'][] = l10n('No user to send notifications by mail.');
         }
       }
@@ -530,7 +523,8 @@
       }
 
-      array_push($page['infos'],
-        l10n_dec('%d parameter was updated.', '%d parameters were updated.',
-          $updated_param_count));
+      $page['infos'][] = l10n_dec(
+        '%d parameter was updated.', '%d parameters were updated.',
+        $updated_param_count
+        );
 
       // Reload conf with new values
Index: /trunk/admin/permalinks.php
===================================================================
--- /trunk/admin/permalinks.php	(revision 25017)
+++ /trunk/admin/permalinks.php	(revision 25018)
@@ -60,5 +60,5 @@
       elseif (isset($default_field) and !isset($_GET[$get_param]) )
       {
-        array_push($ret, $field);
+        $ret[] = $field;
         $disp = '<em>'.$disp.'</em>';
       }
@@ -66,5 +66,5 @@
     else
     {
-      array_push($ret, $field);
+      $ret[] = $field;
       $disp = '<em>'.$disp.'</em>';
     }
@@ -101,5 +101,7 @@
   $result = pwg_query($query);
   if (pwg_db_changes($result)==0)
-    array_push($page['errors'], l10n('Cannot delete the old permalink !'));
+  {
+    $page['errors'][] = l10n('Cannot delete the old permalink !');
+  }
 }
 
